Name:           jaxb-stax-ex
Version:        2.1.0
Release:        %mkrel 1
Group:          Development/Java
Summary:        Extended StAX API
License:        BSD-3-Clause

URL:            https://github.com/eclipse-ee4j/jaxb-stax-ex
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  maven-local
BuildRequires:  mvn(jakarta.activation:jakarta.activation-api)
BuildRequires:  mvn(jakarta.xml.bind:jakarta.xml.bind-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)

%description
This project contains a few extensions to complement JSR-173 StAX API in
the following areas:

- Enable parser instance reuse (which is important in the
  high-performance environment like Eclipse Implementation of JAXB and
  Eclipse Metro)
- Improve the support for reading from non-text XML infoset, such as
  FastInfoset.
- Improve the namespace support.

%{?javadoc_package}

%prep
%setup -q

%pom_remove_parent

%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :glassfish-copyright-maven-plugin
%pom_remove_plugin :maven-enforcer-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.md NOTICE.md
%doc README.md




%changelog
* Thu Sep 14 2023 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 1986469
- Update to upstream version 2.1.0

* Sat Mar 26 2022 umeabot <umeabot> 1.8.3-2.mga9
+ Revision: 1827551
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 1.8.3-1.mga8
+ Revision: 1621605
- update to 1.8.3
- package renamed to jaxb-stax-ex

* Wed Feb 12 2020 umeabot <umeabot> 1.7.7-9.mga8
+ Revision: 1501040
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.7.7-8.mga7
+ Revision: 1276331
- Mageia 7 Mass Rebuild

* Sat May 20 2017 neoclust <neoclust> 1.7.7-7.mga6
+ Revision: 1103528
- Fix BuildRequires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.7.7-5.mga6
+ Revision: 978180
- First rebuild of the java stack
- sync package stax-ex with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Jan 10 2015 daviddavid <daviddavid> 1.7.1-5.mga5
+ Revision: 809826
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-4.mga5
+ Revision: 740784
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7.1-2.mga4
+ Revision: 522277
- Mageia 4 Mass Rebuild

* Mon Feb 18 2013 dmorgan <dmorgan> 1.7.1-1.mga3
+ Revision: 398986
- New version

* Thu Jan 17 2013 dmorgan <dmorgan> 1.4-3.mga3
+ Revision: 389026
- Remove glassfish-stax-api support

* Wed Jan 16 2013 dmorgan <dmorgan> 1.4-2.mga3
+ Revision: 388664
- Build with maven3
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 11 2011 dmorgan <dmorgan> 1.4-1.mga2
+ Revision: 132725
- Fix typo
- Clean spec file
+ gil <gil>
- update to 1.4
- imported package stax-ex

